import { noop } from './noop';
export var initCache = {
    token: null,
    expiration: 0
};
export var defaultSettings = {
    refreshBuffer: 10,
    header: 'Authorization',
    formatter: function (access_token) { return "Bearer ".concat(access_token); },
    onTokenRefresh: noop,
    onAuthFail: noop,
    onTokenRequestFail: noop,
    refreshOnStatus: [401],
    tokenTryThreshold: 10,
    onTokenTryThreshold: noop,
    onRecoveryTry: noop,
    maxRecoveryTries: 5,
    onRecoveryAbort: noop,
    addTokenToLogs: false
};
